# 32/64bit spec-file
#
%define oname      TuxMathScrabble

Name:       tuxmathscrabble
Version:    0.7.4
Release:    %mkrel 1
Summary:    A math version of the popular board game for ages 4-40
License:    GPLv2+
Group:      Education
URL:        http://www.asymptopia.org/
Source0:    http://prdownloads.sourceforge.net/tuxmathscrabble/%name-%version.tar.xz
Patch0:     tuxmathscrabble-0.7.4-fix-path.patch
Source1: tuxmathscrabble-16.png
Source2: tuxmathscrabble-32.png
Source3: tuxmathscrabble-48.png
Requires:   python-pygame
Requires:   wxPythonGTK
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
TuxMathScrabble is an OpenSource math version of the popular board game for 
ages 4-40. it challenges young people to construct compound equations and 
consider multiple abstract possibilities. There are 4 skill levels, the 
hardest uses numbers up to 20 and supports division as well as 
add/subtract/multiply. Upon completing a successful move little Tux's 
pop-out of the most recently moved tiles and do a little dance. Tux moves 
his own pieces as well as performing various animated antics.

%prep
%setup -q -n %name-%version
%patch0 -p0

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}
cp -pr Font %{buildroot}%{_gamesdatadir}/%{name}
install -d -m 755 %{buildroot}%{_gamesdatadir}/%{name}/lib
cp -pr TuxMathScrabble %{buildroot}%{_gamesdatadir}/%{name}/lib
cp .tms_config_master  %{buildroot}%{_gamesdatadir}/%{name}

install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 %{name}.py %{buildroot}%{_gamesbindir}/%{name}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=TuxMathScrabble
Comment=Fun game to learn math
Exec=%{_gamesbindir}/tuxmathscrabble
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;KidsGame;Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other;
EOF

# icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}

install -m 0644 %SOURCE1 %buildroot/%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %buildroot/%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %buildroot/%_liconsdir/%{name}.png

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 %buildroot/%_liconsdir/%{name}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 %buildroot/%_liconsdir/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 %buildroot/%_liconsdir/%{name}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%update_menus

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README CHANGES
%{_gamesbindir}/tuxmathscrabble
%{_gamesdatadir}/tuxmathscrabble
%{_datadir}/applications/%{name}.desktop 
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png

%changelog
* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.7.4-1pclos2013
- 0.7.4

* Fri Jun 05 2009 pcserver <pcserver@hushmail.com> 0.5.8-1pclos2009
- 0.5.8

* Thu Dec 21 2007 Cindy Solis 0.5.0-rc4-1pclos2007
- Rebuild for PCLinuxOS
- add icons for menu (texstar) 
- build against wxPythonGTK 2.8.7.1 (texstar)

